libzypp 17.38.15

zyppng::ProvideRes Class Reference

`#include <zypp/ng/media/provide.h>`

## Public Member Functions
| ProvideRes (ProvideMediaHandle hdl, zypp::ManagedFile file)
const zypp::Pathname | file () const
const zypp::ManagedFile & | asManagedFile () const
const ProvideMediaHandle & | mediaHandle () const
const HeaderValueMap & | headers () const

## Private Attributes
zypp::ManagedFile | _res
ProvideMediaHandle | _provideHandle
HeaderValueMap | _hdrs

## Detailed Description

Definition at line 44 of file provide.h.

## Constructor & Destructor Documentation

## ◆ ProvideRes()

zyppng::ProvideRes::ProvideRes | ( | ProvideMediaHandle | hdl,
|  | zypp::ManagedFile | file )

Definition at line 147 of file provide.cc.

## Member Function Documentation

## ◆ file()

const zypp::Pathname zyppng::ProvideRes::file | ( |  | ) | const

Returns the path to the provided file

Definition at line 152 of file provide.cc.

## ◆ asManagedFile()

const zypp::ManagedFile & zyppng::ProvideRes::asManagedFile | ( |  | ) | const
| inline

Returns a reference to the internally used managed file instance.

Note
  If you obtain this for a file that is inside the providers working directory ( e.g. a provide result for a download ), the continued use after the Provide instance was relased is undefined behaviour and not supported!

Definition at line 59 of file provide.h.

## ◆ mediaHandle()

const ProvideMediaHandle & zyppng::ProvideRes::mediaHandle | ( |  | ) | const
| inline

Returns a reference to the currently held media handle, this can be a invalid handle

Definition at line 66 of file provide.h.

## ◆ headers()

const HeaderValueMap & zyppng::ProvideRes::headers | ( |  | ) | const
| inline

All headers that were received from the worker when sending the result

Note
  will always be empty for the sync media backend.

Definition at line 86 of file provide.h.

## Member Data Documentation

## ◆ _res

zypp::ManagedFile zyppng::ProvideRes::_res
| private

Definition at line 91 of file provide.h.

## ◆ _provideHandle

ProvideMediaHandle zyppng::ProvideRes::_provideHandle
| private

Definition at line 92 of file provide.h.

## ◆ _hdrs

HeaderValueMap zyppng::ProvideRes::_hdrs
| private

Definition at line 94 of file provide.h.

The documentation for this class was generated from the following files:

- zypp/ng/media/provide.h
- zypp/ng/media/provide.cc